DIPlib Documentation - ©1995-2011 Quantitative Imaging Group, Delft University of Technology.

# FeatureLineFunction

Measurement feature #measure function

## SYNOPSIS

`#include "dip_measurement.h"`

dip_Error (*dip_FeatureLineFunction) ( measurement, featureID, label,intensity, size, objectID, dim, iterations )

## FUNCTION

The `line` measure function obtains two arrays (`label` and `intensity`) with label and intensity information of the objects to be measured. The `line` measurement function is called for every line in the image (the scan dimension is determined at run time to be optimal). Since `label` can contain more than one different label, `line` itself is responsible for storing the measurement results for the appropriate object (using, for example, `MeasurementObjectData`). The object ID array `label` can contain values that are not present in `objectID`. These labels should be ignored.

## ARGUMENTS

Data type | Name | Description
`dip_Measurement` | `measurement` | Measurement data structure
`dip_int` | `featureID` | Measurement function ID
`dip_sint32 *` | `label` | Pointer to a list (image line) of object IDs
`dip_float *` | `intensity` | Pointer to a list of corresponding intensity values
`dip_int` | `size` | Size of the `label` and `intensity` list
`dip_IntegerArray` | `objectID` | Array of objectIDs to be measured
`dip_int` | `dim` | Dimension of the line, see `ScanFrameWork`
`dip_int` | `iterations` | Number of iterations the `measure` function needs to scan the line

## SEE ALSO

`MeasurementFeatureRegister`, `FeatureImageFunction`, `FeatureChainCodeFunction`, `FeatureCompositeFunction`, `FeatureCreateFunction`